$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'vmware-workstation-player'
  fileType               = 'exe'
  url                    = 'https://download3.vmware.com/software/player/file/VMware-player-15.5.1-15018445.exe'
  checksum               = '458B23FB3DFAF394DFCEDE612275E8B60C6CE70B51D7CBC9333D2C1FF1D0E3BB'
  checksumType           = 'sha256'
  silentArgs             = '/s /v/qn EULAS_AGREED=1 AUTOSOFTWAREUPDATE=0 DATACOLLECTION=0 ADDLOCAL=ALL REBOOT=ReallySuppress'
  validExitCodes         = @(0, 3010, 1614, 1641)
}
Install-ChocolateyPackage @packageArgs
